<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<TITLE>Delete a Record</TITLE>
</HEAD>
<BODY>

<?
/***************************************************************************
 *			do_deleterec.php	                           *
 *                       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~	                   *
 *   File Info:		  Delete Products recor                            *
 *   Copyright:       Copyright 2003 http://www.128concepts.com            *
 *						                           *
 ***************************************************************************/
include("./config.php");
include("./header.inc");
?>
<?
$table = "products";
  if ($_SERVER['REQUEST_METHOD'] == "POST") 
  {
        # escape data and set variables
        $pid = addslashes($_POST["pid"]);
        $pitem = addslashes($_POST["pitem"]);
        $pdes = addslashes($_POST["pdes"]);
        $price = addslashes($_POST["price"]);
}

$conn = @mysql_connect($server,$user,$password)
	or die("Unable to connect to SQL database...");
$rs = @mysql_select_db($database,$conn) 
	or die("Unable to select the database...Please press 'Create Database' to create new database.");
echo("<br><img src=images/line.gif border=0 width=100% height=1><font face=verdana size=2>Deleting products stocks record with Product ID = ");
echo($pid);
echo("</font><br>");
$done = "FALSE";
$sql = " SELECT pid,pitem,pdes,price from $table where pid = $pid";
$rs = @mysql_query($sql,$conn)
	or die("Could not execute SQL query!!! Possibly SQL query already been executed.");
while($row=mysql_fetch_array($rs))
{
       echo("<font face=verdana size=2>Product ID: </font>".$row["pid"]); 
       echo(" <br><font face=verdana size=2>Product Item: </font>".$row["pitem"]);
       echo(" <br><font face=verdana size=2>Product Description: </font>".$row["pdes"]);
       if ($wcurrency == "NO")
       echo(" <br><font face=verdana size=2>Price: $currency </font>".$row["price"]."<br>");
       if ($wcurrency != "NO")
       echo(" <br><font face=verdana size=2>Price: $wcurrency </font>".$row["price"]."<br>");
       echo("<font face=verdana size=2>Press the 'View Records' menu link to view all products records.</font><img src=images/line.gif border=0 width=100% height=1>");
       $done = "OK";
}
if ($done=="FALSE")
{
	echo("<font face=verdana size=2>Opps...its seems cannot delete product stocks record with PRODUCT ID = </font>");
	echo($pid);
	echo "<img src=images/line.gif border=0 width=100% height=1>";
}
$sql = " DELETE FROM $table WHERE pid = $pid";
$sql.= " LIMIT 1 ";
?>
<img src=images/line.gif border=0 width=100% height=1><br><br>
<center><img src=images/computer.gif border=0><font face=verdana size=3 color=darkred>Deleting a Record from PRODUCTS</font></center><br>
<?
$sql_result = mysql_query($sql,$conn)
	or die("Couldn't delete record.");
?>

<center>
<table width="500" border=1><tr align="justify" class="subtitle"><td>
  <p align="center">
  <img border="0" src="images/database.GIF" width="24" height="24"><font face=Verdana size=1><a href="./create_db.php">Create database</a>&nbsp;
  <img border="0" src="images/database.GIF" width="24" height="24"></font><a href="./delete_db.php"><font face=Verdana size=1>Delete database</font></a><font face="Verdana" size="1">&nbsp;
  <img border="0" src="images/Records.GIF" width="24" height="24"><a href="./create_menu.php">Create table</a>&nbsp;&nbsp;&nbsp;&nbsp;
  <img border="0" src="images/Records.GIF" width="24" height="24">&nbsp;
  </font> <a href="./add_menu.php"><font face=Verdana size=1>Add Record </font></a>  
  </p>
  <p align="center">&nbsp;<font face="Verdana" size="1"><img border="0" src="images/Records.GIF" width="24" height="24"></font><a href="./view_menu.php"><font face=verdana size=1>View Records</font></a>&nbsp;
  <font face="Verdana" size="1">&nbsp;&nbsp;&nbsp;
  <img border="0" src="images/Records.GIF" width="24" height="24"></font><a href="./del_menu.php"><font face=verdana size=1>Delete Record</font></a>
  <font face="Verdana" size="1">&nbsp;&nbsp;&nbsp;
  <img border="0" src="images/Records.GIF" width="24" height="24"></font> <a href="./upd_menu.php"><font face=verdana size=1>Update Record</font></a>&nbsp;
  <img border="0" src="images/home-to.GIF" width="24" height="24"><font face=verdana size=1>&nbsp; <a href="./index.php">Home</a></font>  </a></td></tr></table><br></center>
<?php include("./your-footer.inc");?>
</BODY>
</HTML>
